<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<!-- 
IGAC proyecto SNC
@author: franz.gamba
CU-NP-FA-102: Registrar programas de trabajo, actividades, montos y cupos presupuestales
-->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="../../templates/generalCU.xhtml">

    <ui:define name="title">
        .::Sistema Nacional Catastral::. .::Gestionar Estudio de Costos::.
    </ui:define>

    <ui:define name="content">
        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

        <p:focus />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen" muestraNumeroConvenioParam="false"
                                              actualizacionParam="#{estudioDeCostosAct.actualizacion}"/>

        <p:messages id="msgsGestionarEstudioDeCostos" showDetail="false"
                    globalOnly="false" />

        <p:spacer height="30" width="0" />

        <h:form prependId="true" id="gestionarEstidioDeCostos">
            <p:panel header="Registrar/Ajustar">
                <ui:include src="botonesFormatosYEstudioCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                    <ui:param name="updateBtnParam"
                              value="gestionarEstidioDeCostos,panelFormatos,panelGridFormatosEstudiosCostos" />
                    <ui:param name="isRegistrarParam" value="true" />
                </ui:include>
            </p:panel>
            <p:panel id="panelFormatos"
                     rendered="#{estudioDeCostosAct.formatosFlag}">
                <ui:include src="formatosEstudioDeCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                </ui:include>
            </p:panel>
            <p:panel id="panelEstudioDeCostos"
                     rendered="#{estudioDeCostosAct.estudioCostosFlag}">
                <ui:include src="hojaEstudioDeCostos.xhtml">
                    <ui:param name="currentManagedBeanParam"
                              value="#{estudioDeCostosAct}" />
                </ui:include>
            </p:panel>
            <p:panel>				
                <p:commandButton id="btnEnviarRegistro" disabled="#{estudioDeCostosAct.existeFormatoCostos}"
                                 widgetVar="btnEnviarRegistroWV" ajax="false"
                                 action="#{estudioDeCostosAct.enviarEstudioDeCostos}"
                                 update=":msgsGestionarEstudioDeCostos" value="Enviar Registro"
                                 process="@this">
                </p:commandButton>

            </p:panel>
        </h:form>
        <h:form>
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar" update=":cancelarTramitesMsgs"
                                 icon="ui-icon-circle-close" action="#{estudioDeCostosAct.cerrar}"
                                 ajax="false" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />

        </h:form>

        <ui:remove>
            <p:dialog header="Docuemnto Excel" id="documentoExcel"
                      widgetVar="documentoExcelWV" modal="true" appendToBody="true"
                      resizable="true" position="center" height="480" width="960">
                <embed src="Formatos calculo costos para Convenios2 2010.xls"
                       width="854" height="480" />
            </p:dialog>
        </ui:remove>		

    </ui:define>
</ui:composition>